keelwave
API ReferenceAgent

List agent runs for the calling project

GET
/projects/{projectID}/agent/runs

Authorization

ApiKeyAuth
Authorization<token>

Format: "Bearer kw_"

In: header

Path Parameters

projectID*string

Project UUID

Query Parameters

from?string

RFC3339, default now - 30d

to?string

RFC3339, default now

limit?integer

default 25, max 1000

offset?integer

default 0

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/projects/string/agent/runs"
[  {    "agent_name": "string",    "duration_ms": 0,    "finished_at": "string",    "id": "string",    "input": "string",    "loop_detected": true,    "loop_step_index": 0,    "metadata": [      0    ],    "output": "string",    "project_id": "string",    "status": "string",    "termination_reason": "string",    "timestamp": "string",    "total_cost_usd": 0,    "total_steps": 0,    "total_tokens": 0  }]